/*===========================================================================*/
/*   (Bdb/setting.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Bdb/setting.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00 = BUNSPEC;
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00;
extern obj_t BGl_za2stripza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2inliningzf3za2zf3zzengine_paramz00;
BGL_EXPORTED_DEF obj_t BGl_za2jvmzd2debugzd2moduleza2z00zzbdb_settingz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00();
static obj_t BGl_cnstzd2initzd2zzbdb_settingz00();
static obj_t BGl__bdbzd2settingz12zc0zzbdb_settingz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzbdb_settingz00();
extern obj_t BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzbdb_settingz00 = BUNSPEC;
extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_settingz00();
extern obj_t BGl_za2indentza2z00zzengine_paramz00;
static obj_t BGl_toplevelzd2initzd2zzbdb_settingz00();
static obj_t __cnst[ 2 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_bdbzd2settingz12zd2envz12zzbdb_settingz00, BgL_bgl__bdbza7d2settingza712za7c0za7za7bdb_settingza7001043z00, BGl__bdbzd2settingz12zc0zzbdb_settingz00, 0L, 0 );
DEFINE_STRING( BGl_string1019z00zzbdb_settingz00, BgL_bgl_string1019za700za7za7bdb_settingza7001044z00, "(__pp_circle) (__bdb) ", 22 );
DEFINE_STRING( BGl_string1018z00zzbdb_settingz00, BgL_bgl_string1018za700za7za7bdb_settingza7001045z00, "bigloobdb", 9 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long BgL_checksumz00_10, char * BgL_fromz00_11)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbdb_settingz00))
{ 
BGl_requirezd2initializa7ationz75zzbdb_settingz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzbdb_settingz00(); 
BGl_cnstzd2initzd2zzbdb_settingz00(); 
BGl_importedzd2moduleszd2initz00zzbdb_settingz00(); 
BGl_toplevelzd2initzd2zzbdb_settingz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbdb_settingz00()
{ AN_OBJECT;
{ /* ./Bdb/setting.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "bdb_setting"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbdb_settingz00()
{ AN_OBJECT;
{ /* ./Bdb/setting.scm 15 */
{ /* ./Bdb/setting.scm 15 */
obj_t BgL_cportz00_3;
BgL_cportz00_3 = 
open_input_string(BGl_string1019z00zzbdb_settingz00); 
{ 
long BgL_iz00_4;
BgL_iz00_4 = ((long)1); 
BgL_loopz00_5:
{ /* ./Bdb/setting.scm 15 */
bool_t BgL_test1021z00_6;
BgL_test1021z00_6 = 
(BgL_iz00_4==((long)-1)); 
if(BgL_test1021z00_6)
{ /* ./Bdb/setting.scm 15 */
return BUNSPEC;}  else 
{ /* ./Bdb/setting.scm 15 */
{ /* ./Bdb/setting.scm 15 */
obj_t BgL_arg1023z00_7;
{ /* ./Bdb/setting.scm 15 */
obj_t BgL_list1026z00_8;
BgL_list1026z00_8 = 
MAKE_PAIR(BgL_cportz00_3, BNIL); 
BgL_arg1023z00_7 = 
BGl_readz00zz__readerz00(BgL_list1026z00_8); } 
{ /* ./Bdb/setting.scm 15 */
int BgL_auxz00_25;
BgL_auxz00_25 = 
(int)(BgL_iz00_4); 
CNST_TABLE_SET(BgL_auxz00_25, BgL_arg1023z00_7); } } 
{ /* ./Bdb/setting.scm 15 */
int BgL_auxz00_9;
{ /* ./Bdb/setting.scm 15 */
long BgL_auxz00_28;
BgL_auxz00_28 = 
(BgL_iz00_4-((long)1)); 
BgL_auxz00_9 = 
(int)(BgL_auxz00_28); } 
{ 
long BgL_iz00_31;
BgL_iz00_31 = 
(long)(BgL_auxz00_9); 
BgL_iz00_4 = BgL_iz00_31; 
goto BgL_loopz00_5;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbdb_settingz00()
{ AN_OBJECT;
{ /* ./Bdb/setting.scm 15 */
BGl_za2bdbzd2moduleza2zd2zzbdb_settingz00 = 
CNST_TABLE_REF(((long)0)); 
return ( 
BGl_za2jvmzd2debugzd2moduleza2z00zzbdb_settingz00 = 
CNST_TABLE_REF(((long)1)), BUNSPEC) ;} 
}



/* bdb-setting! */
BGL_EXPORTED_DEF obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00()
{ AN_OBJECT;
{ /* ./Bdb/setting.scm 35 */
BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00 = BFALSE; 
BGl_za2czd2debugza2zd2zzengine_paramz00 = BTRUE; 
BGl_za2stripza2z00zzengine_paramz00 = BFALSE; 
BGl_za2indentza2z00zzengine_paramz00 = BFALSE; 
BGl_za2inliningzf3za2zf3zzengine_paramz00 = BFALSE; 
{ /* ./Bdb/setting.scm 42 */
obj_t BgL_arg1004z00_1;
BgL_arg1004z00_1 = 
MAKE_PAIR(BGl_string1018z00zzbdb_settingz00, BGl_za2bigloozd2versionza2zd2zzengine_paramz00); 
return ( 
BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00 = 
MAKE_PAIR(BgL_arg1004z00_1, BGl_za2additionalzd2bigloozd2librariesza2z00zzengine_paramz00), BUNSPEC) ;} } 
}



/* _bdb-setting! */
obj_t BGl__bdbzd2settingz12zc0zzbdb_settingz00(obj_t BgL_envz00_2)
{ AN_OBJECT;
{ /* ./Bdb/setting.scm 35 */
return 
BGl_bdbzd2settingz12zc0zzbdb_settingz00();} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbdb_settingz00()
{ AN_OBJECT;
{ /* ./Bdb/setting.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "bdb_setting"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "bdb_setting"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "bdb_setting"); 
return 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "bdb_setting");} 
}

